petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMNetworkDistribute

Distributes the network and moves associated component data.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkDistribute(DM *dm,PetscInt overlap)

Collective

### Input Parameter

| DM | - the DMNetwork object
| overlap | - The overlap of partitions, 0 is the default

### Notes

Distributes the network with <overlap>-overlapping partitioning of the edges.

### See Also

DMNetworkCreate

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages